# TODO: python binding (disabled in sources as of 0.17.4)
Summary:	5250 Telnet protocol and Terminal
Summary(pl.UTF-8):	Obsługa protokołu i terminal Telnet 5250
Name:		tn5250
Version:	0.17.4
Release:	5
License:	GPL
Group:		Applications/Networking
Source0:	http://downloads.sourceforge.net/tn5250/%{name}-%{version}.tar.gz
# Source0-md5:	d1eb7c5a2e15cd2f43a1c115e2734153
Patch0:		format-security.patch
Patch1:		openssl.patch
URL:		http://tn5250.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tn5250 is an implementation of the 5250 Telnet protocol. It provides
5250 library and 5250 terminal emulation.

%description -l pl.UTF-8
tn5250 to implementacja protokołu Telnet 5250. Zawiera bibliotekę 5250
i emulator terminala 5250.

%package devel
Summary:	Development tools for 5250 protocol
Summary(pl.UTF-8):	Pakiet dla programisty protokołu 5250
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ncurses-devel
Requires:	openssl-devel >= 0.9.7d

%description devel
Header files to use lib5250.

%description devel -l pl.UTF-8
Pliki nagłówkowe do korzystania z lib5250.

%package static
Summary:	Static libraries for 5250 protocol
Summary(pl.UTF-8):	Statyczne biblioteki do protokołu 5250
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries to use lib5250.

%description static -l pl.UTF-8
Statyczne biblioteki lib5250.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%configure
%{__make}

cd linux
tic 5250.terminfo -o .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D linux/5/5250 $RPM_BUILD_ROOT%{_datadir}/terminfo/5/5250
install -D linux/x/xterm-5250 $RPM_BUILD_ROOT%{_datadir}/terminfo/x/xterm-5250

mv -f linux/README README.linux

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%attr(755,root,root) %{_bindir}/5250keys
%attr(755,root,root) %{_bindir}/lp5250d
%attr(755,root,root) %{_bindir}/scs2ascii
%attr(755,root,root) %{_bindir}/scs2pdf
%attr(755,root,root) %{_bindir}/scs2ps
%attr(755,root,root) %{_bindir}/tn5250
%attr(755,root,root) %{_bindir}/xt5250
%attr(755,root,root) %{_libdir}/lib5250.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib5250.so.0
%{_datadir}/%{name}
%{_datadir}/terminfo/5/5250
%{_datadir}/terminfo/x/xterm-5250
%{_mandir}/man1/lp5250d.1*
%{_mandir}/man1/scs2ascii.1*
%{_mandir}/man1/scs2pdf.1*
%{_mandir}/man1/scs2ps.1*
%{_mandir}/man1/tn5250.1*
%{_mandir}/man5/tn5250rc.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib5250.so
%{_libdir}/lib5250.la
%{_includedir}/tn5250.h
%{_includedir}/tn5250

%files static
%defattr(644,root,root,755)
%{_libdir}/lib5250.a
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tn5250.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> bb6a8d0
- rebuild with openssl 3.0.0

* Sat Sep 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c040206
- rel 4; openssl build fix

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ac8d1c
- release 3 (by relup.sh)

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> 9a20463
- release 2 (by relup.sh)

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> d3e3842
- fixed format string errors
- disabled python bindings (build broken)

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 12975b0
- typo

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 86dff92
- python comment

* Thu Mar 17 2011 Jakub Bogusz <qboosh@pld-linux.org> f46d94a
- updated to 0.17.4
- removed obsolete ncurses,no_libnsl patches

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ff7d9e
- release 3

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 3e5c66e
- rel 2

* Mon Apr 02 2007 piotrek <piotrek@pld-linux.org> 72473e4
- 0.17.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1830b5c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0eb5567
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> c8adb7e
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Sun Apr 24 2005 Jakub Bogusz <qboosh@pld-linux.org> f96d829
- updated to 0.17.2, updated no_libnsl patch
- devel deps, more verbose file lists

* Sun Apr 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 499042c
- updated for 0.17.2

* Sat Mar 20 2004 ankry <ankry@pld-linux.org> 5a4bae5
- massive change: BR openssl-devel >= 0.9.7d

* Tue Sep 30 2003 eothane <eothane@pld-linux.org> 6ada8e6
- ahh, what the hell: openssl 0.9.7c

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 635dd7e
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> aa706d8
- massive attack s/pld.org.pl/pld-linux.org/

